Subject: bug#9119: [PATCH] modernize function definitions in gmalloc.c

From: Ken Brown <[email-masked]>
Date: Sat, 14 Apr 2012 07:15:14 -0400

On 4/14/2012 3:07 AM, Eli Zaretskii wrote:
>> Date: Fri, 13 Apr 2012 18:42:15 -0400
>> From: Ken Brown<[email-masked]>
>> Cc: Lars Ingebrigtsen<[email-masked]>, [email-masked],
>> 	[email-masked]
>>
>>> A more recent version of the patch was submitted in
>>>
>>> http://lists.gnu.org/archive/html/emacs-devel/2011-12/msg00609.html
>>>
>>> with improvements by Paul and me. Maybe that should be applied instead.
>>
>> Sorry, what I wrote was unclear.  The patch I just cited isn't really a
>> more recent version of the one being discussed, but (with the
>> improvements by Paul and me) supersedes the latter.
>
> Are you sure you got the URL right?  Perhaps you meant one of the 2
> below instead?
>
>    http://lists.gnu.org/archive/html/emacs-devel/2011-12/msg00716.html
>    http://lists.gnu.org/archive/html/emacs-devel/2011-12/msg00720.html

I was just giving the URL of the beginning of the thread.  The URLs you 
cited contain the improvements by Paul and me that I referred to.  I 
should have said that.

The most recent version of the patch is in

   http://lists.gnu.org/archive/html/emacs-devel/2011-12/msg00720.html

in which Paul says, "And there's more where this came from -- that code 
is pretty crufty...."

So I don't know if that patch should just be applied now or if Paul 
plans to do more cleanup.

Ken